/* App */
const SET_HEADER_TITLE = 'SET_HEADER_TITLE'
const SET_DIALOG = 'SET_DIALOG'
const SET_SIDE_NAV = 'SET_SIDE_NAV'
const SET_DARK_HEADER = 'SET_DARK_HEADER'
const HIDE_SIDE_NAV = 'HIDE_SIDE_NAV'
const SET_OVERLAY_VISIBLE = 'SET_OVERLAY_VISIBLE'
const SET_ACTIVE_MEDIA = 'SET_ACTIVE_MEDIA'
const SET_SHOW_404 = 'SET_SHOW_404'

/* Profile */
const ADD_TO_LIBRARY = 'ADD_TO_LIBRARY'
const REMOVE_FROM_LIBRARY = 'REMOVE_FROM_LIBRARY'
const RESET_PROFILE = 'RESET_PROFILE'
const SET_PROFILE_INFO = 'SET_PROFILE_INFO'
const REGISTER_SUCCESS = 'REGISTER_SUCCESS'
const REGISTER_FAILURE = 'REGISTER_FAILURE'
const LOGIN_SUCCESS = 'LOGIN_SUCCESS'
const LOGIN_FAILURE = 'LOGIN_FAILURE'
const SET_ACCESS_TOKEN = 'SET_ACCESS_TOKEN'
const REMOVE_ACCESS_TOKEN = 'REMOVE_ACCESS_TOKEN'
const SET_REFRESH_TOKEN = 'SET_REFRESH_TOKEN'
const REMOVE_REFRESH_TOKEN = 'REMOVE_REFRESH_TOKEN'

/* Users */
const SET_FOUND_ACTIVE_USER = 'SET_FOUND_ACTIVE_USER'
const SET_ACTIVE_USER = 'SET_ACTIVE_USER'
const SET_USERS = 'SET_USERS'
const SET_USER = 'SET_USER'

/* Games */
const SET_GAMES = 'SET_GAMES'
const SET_GAME = 'SET_GAME'
const SET_APP = 'SET_APP'
const SET_TAGS = 'SET_TAGS'
const SET_NEW_RELEASE_LIST = 'SET_NEW_RELEASE_LIST'
const SET_ACTIVE_GAME = 'SET_ACTIVE_GAME'

/* Device */
const SET_DEVICE_SETTINGS = 'SET_DEVICE_SETTINGS'

/* Feedback */
const SET_FEEDBACK_SUBMITTED = 'SET_FEEDBACK_SUBMITTED'

export default {
  // App
  SET_HEADER_TITLE,
  SET_DIALOG,
  SET_SIDE_NAV,
  SET_DARK_HEADER,
  HIDE_SIDE_NAV,
  SET_OVERLAY_VISIBLE,
  SET_ACTIVE_MEDIA,
  SET_SHOW_404,

  // Profile
  ADD_TO_LIBRARY,
  REMOVE_FROM_LIBRARY,
  RESET_PROFILE,
  SET_PROFILE_INFO,
  REGISTER_SUCCESS,
  REGISTER_FAILURE,
  LOGIN_SUCCESS,
  LOGIN_FAILURE,
  SET_ACCESS_TOKEN,
  REMOVE_ACCESS_TOKEN,
  SET_REFRESH_TOKEN,
  REMOVE_REFRESH_TOKEN,

  // Users
  SET_FOUND_ACTIVE_USER,
  SET_ACTIVE_USER,
  SET_USERS,
  SET_USER,
  SET_DEVICE_SETTINGS,

  // Games
  SET_GAMES,
  SET_GAME,
  SET_APP,
  SET_TAGS,
  SET_NEW_RELEASE_LIST,
  SET_ACTIVE_GAME,

  SET_FEEDBACK_SUBMITTED
}
